--
-- Selected TOC Entries:
--
--
-- TOC Entry ID 10 (OID 18723)
--
-- Name: teste Type: TABLE Owner: 
--

CREATE TABLE "teste" (
	"id" integer,
	"nome" character varying(30),
	"obs" text
);

--
-- TOC Entry ID 2 (OID 23852)
--
-- Name: sty_template_template_id_seq Type: SEQUENCE Owner: fred
--

CREATE SEQUENCE "sty_template_template_id_seq" start 1 increment 1 maxvalue 2147483647 minvalue 1  cache 1 ;

--
-- TOC Entry ID 11 (OID 23871)
--
-- Name: sty_template Type: TABLE Owner: fred
--

CREATE TABLE "sty_template" (
	"template_id" integer DEFAULT nextval('sty_template_template_id_seq'::text) NOT NULL,
	"name" character varying(12) DEFAULT 'default' NOT NULL,
	"uptodate" timestamp with time zone,
	"compiled" text,
	Constraint "sty_template_pkey" Primary Key ("template_id")
);

--
-- TOC Entry ID 12 (OID 23904)
--
-- Name: sty_element Type: TABLE Owner: fred
--

CREATE TABLE "sty_element" (
	"element_id" character varying(12) DEFAULT 'ROOT' NOT NULL,
	"template_id" integer NOT NULL,
	"uptodate" timestamp with time zone,
	"content" text,
	Constraint "sty_element_pkey" Primary Key ("template_id", "element_id")
);

--
-- TOC Entry ID 13 (OID 31967)
--
-- Name: pga_queries Type: TABLE Owner: fred
--

CREATE TABLE "pga_queries" (
	"queryname" character varying(64),
	"querytype" character(1),
	"querycommand" text,
	"querytables" text,
	"querylinks" text,
	"queryresults" text,
	"querycomments" text
);

--
-- TOC Entry ID 14 (OID 31998)
--
-- Name: pga_forms Type: TABLE Owner: fred
--

CREATE TABLE "pga_forms" (
	"formname" character varying(64),
	"formsource" text
);

--
-- TOC Entry ID 15 (OID 32024)
--
-- Name: pga_scripts Type: TABLE Owner: fred
--

CREATE TABLE "pga_scripts" (
	"scriptname" character varying(64),
	"scriptsource" text
);

--
-- TOC Entry ID 16 (OID 32050)
--
-- Name: pga_reports Type: TABLE Owner: fred
--

CREATE TABLE "pga_reports" (
	"reportname" character varying(64),
	"reportsource" text,
	"reportbody" text,
	"reportprocs" text,
	"reportoptions" text
);

--
-- TOC Entry ID 17 (OID 32079)
--
-- Name: pga_schema Type: TABLE Owner: fred
--

CREATE TABLE "pga_schema" (
	"schemaname" character varying(64),
	"schematables" text,
	"schemalinks" text
);

--
-- TOC Entry ID 18 (OID 32106)
--
-- Name: pga_layout Type: TABLE Owner: fred
--

CREATE TABLE "pga_layout" (
	"tablename" character varying(64),
	"nrcols" smallint,
	"colnames" text,
	"colwidth" text
);

--
-- TOC Entry ID 4 (OID 32280)
--
-- Name: cad_usuario_id_seq Type: SEQUENCE Owner: fred
--

CREATE SEQUENCE "cad_usuario_id_seq" start 1 increment 1 maxvalue 2147483647 minvalue 1  cache 1 ;

--
-- TOC Entry ID 19 (OID 32299)
--
-- Name: cad_usuario Type: TABLE Owner: fred
--

CREATE TABLE "cad_usuario" (
	"id" integer DEFAULT nextval('"cad_usuario_id_seq"'::text) NOT NULL,
	"nome" character varying(50),
	"email" text
);

--
-- TOC Entry ID 6 (OID 32330)
--
-- Name: cad_grupo_id_seq Type: SEQUENCE Owner: fred
--

CREATE SEQUENCE "cad_grupo_id_seq" start 1 increment 1 maxvalue 2147483647 minvalue 1  cache 1 ;

--
-- TOC Entry ID 20 (OID 32349)
--
-- Name: cad_grupo Type: TABLE Owner: fred
--

CREATE TABLE "cad_grupo" (
	"id" integer DEFAULT nextval('"cad_grupo_id_seq"'::text) NOT NULL,
	"nome" character varying(50),
	"descricao" text
);

--
-- TOC Entry ID 8 (OID 40330)
--
-- Name: perm_id_seq Type: SEQUENCE Owner: fred
--

CREATE SEQUENCE "perm_id_seq" start 1 increment 1 maxvalue 2147483647 minvalue 1  cache 1 ;

--
-- TOC Entry ID 21 (OID 40349)
--
-- Name: pwd_permissions Type: TABLE Owner: fred
--

CREATE TABLE "pwd_permissions" (
	"id" integer DEFAULT nextval('"perm_id_seq"'::text) NOT NULL,
	"user" character varying(50),
	"group" character varying(50),
	"right" integer,
	"url" text
);

--
-- Data for TOC Entry ID 25 (OID 18723)
--
-- Name: teste Type: TABLE DATA Owner: 
--


INSERT INTO "teste" ("id","nome","obs") VALUES (1,'frederico','789');
INSERT INTO "teste" ("id","nome","obs") VALUES (2,'filho','012');
INSERT INTO "teste" ("id","nome","obs") VALUES (3,'teste','1');
INSERT INTO "teste" ("id","nome","obs") VALUES (4,'do','2');
INSERT INTO "teste" ("id","nome","obs") VALUES (5,'sistema','3');
INSERT INTO "teste" ("id","nome","obs") VALUES (6,'de','4');
INSERT INTO "teste" ("id","nome","obs") VALUES (7,'templates','5');
INSERT INTO "teste" ("id","nome","obs") VALUES (8,'mais','6');
INSERT INTO "teste" ("id","nome","obs") VALUES (9,'paulo','123');
INSERT INTO "teste" ("id","nome","obs") VALUES (10,'xxxxx','xxxxx');
INSERT INTO "teste" ("id","nome","obs") VALUES (11,'yyyy','yyyyy');
INSERT INTO "teste" ("id","nome","obs") VALUES (12,'zzzzz','zzzzz');
INSERT INTO "teste" ("id","nome","obs") VALUES (13,'ivo aa','456');
--
-- Data for TOC Entry ID 26 (OID 23871)
--
-- Name: sty_template Type: TABLE DATA Owner: fred
--


INSERT INTO "sty_template" ("template_id","name","uptodate","compiled") VALUES (7,'tablemanager','2001-06-25 04:02:03-03','');
INSERT INTO "sty_template" ("template_id","name","uptodate","compiled") VALUES (8,'snapshot','2001-06-25 04:02:03-03','');
INSERT INTO "sty_template" ("template_id","name","uptodate","compiled") VALUES (2,'wildweb','2001-07-11 09:53:11-03',' if (function_exists(''ww_php_init'')) {ww_php_init();} else {\012function box_ini($opt='''') {\012?><TABLE CELLSPACING=0 CELLPADDING=2 BORDER=0 WIDTH="100%"><tr bgcolor="#777777">\012<td>\012<TABLE CELLSPACING=0 CELLPADDING=3 BORDER=0 WIDTH="100%"><tr bgcolor="#DDDDDD">\012<td <? echo $opt; ?>>\012<?\012}\012function box_end() {\012?></td> </tr> </TABLE>\012</td> </tr> </TABLE>\012<?\012}\012}\012if (function_exists(''ww_init'')) { ww_init(); }\012?><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" "http://www.w3.org/TR/REC-html40/loose.dtd"> \012<html>\012<? if (function_exists(''ww_header'')) {ww_header();} else {?><head>\012<title>WildWeb v. 20010503</title>\012<meta name="author" content="Sergio Bruder <bruder@conectiva.com.br>">\012<meta name="generator" content="WildWeb Framework">\012<title>\012<?if (isset($titulo_pagina)) {echo $titulo_pagina;} else {echo ''WildWeb v. 20010503'';}?></title>\012<meta name="author" content="Sergio Bruder <bruder@conectiva.com.br>">\012<meta name="generator" content="WildWeb v 20010503">\012<? if (function_exists(''ww_style'')) {ww_style();} else {?><style type="text/css">\012<!--\012BODY       {font-family: Verdana,Arial,Helvetica,Sans-serif;}\012TD         {font-family: Verdana,Arial,Helvetica,Sans-Serif;}\012H1         {font-family: Verdana,Arial,Helvetica,Sans-Serif; font-size: 18pt; font-weight:\012H2         {font-family: Verdana,Arial,Helvetica,Sans-Serif; font-size: 14pt; font-weight:\012H3         {font-family: Verdana,Arial,Helvetica,Sans-Serif; font-size: 10pt; font-weight:\012H4         {font-family: Verdana,Arial,Helvetica,Sans-Serif; font-size: 10pt; font-weight:\012P          {font-family: Verdana,Arial,Helvetica,Sans-Serif; font-size: 10pt; font-weight:\012UL,DL,OL   {font-family: Verdana,Arial,Helvetica,Sans-Serif; font-size: 10pt; font-weight:\012LI         {font-family: Verdana,Arial,Helvetica,Sans-Serif; font-size: 10pt; font-weight:\012blockquote {font-family: Verdana,Arial,Helvetica,Sans-Serif; font-size: 10pt; font-weight:\012STRONG     {font-weight: bold;}\012CODE       {font-family:monospace}\012A:link     {text-decoration: none;}\012A:visited  {text-decoration: none;}\012A:active   {color: red; }\012A:hover    {text-decoration: underline; }\012-->\012</style><?}\012?></head><?}\012 if (function_exists(''ww_body'')) {ww_body();} else {?><body <? if (function_exists(''ww_body_format'')) {ww_body_format();} else {?>bgcolor="white" text="#111111" link="#0099dd" vlink="#883377"<?}\012?>>\012<? if (function_exists(''ww_body_cabec'')) {ww_body_cabec();} else { box_ini(''bgcolor="white"''); ?>\015\012<img src="/imgs/wildweb/wildweb.jpg"></td>\015\012<td width="100%" align="right" bgcolor="white">\015\012 <? if (function_exists(''ww_menu'')) {ww_menu();} else {?>&nbsp;<?}\012?>\015\012<? box_end(); ?>\015\012<br><?}\012 if (function_exists(''ww_body_corpo'')) {ww_body_corpo();} else { box_ini(); if (function_exists(''ww_content'')) { ww_content(); }\012 box_end(); ?><br><?}\012 if (function_exists(''ww_body_rodap'')) {ww_body_rodap();} else { Box_ini(''align="right" bgcolor="white"''); ?>\015\012<font size="-2">\015\012WildWeb v. 20010503 by <a href="mailto:bruder@conectiva.com.br">WildWeb core</a>\015\012Visit us at <a href="http://bazar.conectiva.com.br/~bruder/wildweb/">http://bazar.conectiva.com.br/~bruder/wildweb/</a>. <a href="/source.php?url=<? \015\012global $PHP_SELF;\015\012echo $PHP_SELF; ?>">View source code</a>.\015\012</font>\015\012<? Box_end(); }\012?></body><?}\012?></html><?');
--
-- Data for TOC Entry ID 27 (OID 23904)
--
-- Name: sty_element Type: TABLE DATA Owner: fred
--


INSERT INTO "sty_element" ("element_id","template_id","uptodate","content") VALUES ('ROOT',2,'2001-05-07 15:59:06-03','<[php-init]>\012<[init]>\012<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" "http://www.w3.org/TR/REC-html40/loose.dtd"> \012<html>\012<[header]>\012<[body]>\012</html>');
INSERT INTO "sty_element" ("element_id","template_id","uptodate","content") VALUES ('PHP-INIT',2,'2001-05-07 15:59:06-03','<?\012function box_ini($opt='''') {\012?>\012<TABLE CELLSPACING=0 CELLPADDING=2 BORDER=0 WIDTH="100%"><tr bgcolor="#777777">\012<td>\012<TABLE CELLSPACING=0 CELLPADDING=3 BORDER=0 WIDTH="100%"><tr bgcolor="#DDDDDD">\012<td <? echo $opt; ?>>\012<?\012}\012function box_end() {\012?>\012</td> </tr> </TABLE>\012</td> </tr> </TABLE>\012<?\012}\012?>');
INSERT INTO "sty_element" ("element_id","template_id","uptodate","content") VALUES ('HEADER',2,'2001-05-07 15:59:06-03','<head>\012<title>WildWeb v. 20010503</title>\012<meta name="author" content="Sergio Bruder <bruder@conectiva.com.br>">\012<meta name="generator" content="WildWeb Framework">\012<title>\012<?if (isset($titulo_pagina)) {echo $titulo_pagina;} else {echo ''WildWeb v. 20010503'';}?>\012</title>\012<meta name="author" content="Sergio Bruder <bruder@conectiva.com.br>">\012<meta name="generator" content="WildWeb v 20010503">\012<[style]>\012</head>');
INSERT INTO "sty_element" ("element_id","template_id","uptodate","content") VALUES ('STYLE',2,'2001-05-07 15:59:06-03','<style type="text/css">\012<!--\012BODY       {font-family: Verdana,Arial,Helvetica,Sans-serif;}\012TD         {font-family: Verdana,Arial,Helvetica,Sans-Serif;}\012H1         {font-family: Verdana,Arial,Helvetica,Sans-Serif; font-size: 18pt; font-weight:\012H2         {font-family: Verdana,Arial,Helvetica,Sans-Serif; font-size: 14pt; font-weight:\012H3         {font-family: Verdana,Arial,Helvetica,Sans-Serif; font-size: 10pt; font-weight:\012H4         {font-family: Verdana,Arial,Helvetica,Sans-Serif; font-size: 10pt; font-weight:\012P          {font-family: Verdana,Arial,Helvetica,Sans-Serif; font-size: 10pt; font-weight:\012UL,DL,OL   {font-family: Verdana,Arial,Helvetica,Sans-Serif; font-size: 10pt; font-weight:\012LI         {font-family: Verdana,Arial,Helvetica,Sans-Serif; font-size: 10pt; font-weight:\012blockquote {font-family: Verdana,Arial,Helvetica,Sans-Serif; font-size: 10pt; font-weight:\012STRONG     {font-weight: bold;}\012CODE       {font-family:monospace}\012A:link     {text-decoration: none;}\012A:visited  {text-decoration: none;}\012A:active   {color: red; }\012A:hover    {text-decoration: underline; }\012-->\012</style>');
INSERT INTO "sty_element" ("element_id","template_id","uptodate","content") VALUES ('BODY',2,'2001-05-07 15:59:06-03','<body <[body-format]>>\012<[body-cabec]>\012<[body-corpo]>\012<[body-rodap]>\012</body>');
INSERT INTO "sty_element" ("element_id","template_id","uptodate","content") VALUES ('BODY-CORPO',2,'2001-05-07 15:59:07-03','<? box_ini(); ?>\012<[content]>\012<? box_end(); ?>\012<br>');
INSERT INTO "sty_element" ("element_id","template_id","uptodate","content") VALUES ('MENU',2,'2001-06-20 04:59:38-03','&nbsp;');
INSERT INTO "sty_element" ("element_id","template_id","uptodate","content") VALUES ('BODY-CABEC',2,'2001-05-07 15:59:07-03','<? box_ini(''bgcolor="white"''); ?>\015\012<img src="/imgs/wildweb/wildweb.jpg"></td>\015\012<td width="100%" align="right" bgcolor="white">\015\012 <[menu]>\015\012<? box_end(); ?>\015\012<br>');
INSERT INTO "sty_element" ("element_id","template_id","uptodate","content") VALUES ('UGH',2,'2001-06-20 07:01:56-03','<strong>Ugh!</strong>\015\012<?\015\012$str = ''no executei'';\015\012echo ''<strong>''.substr($str,4).''</strong>'';\015\012?>');
INSERT INTO "sty_element" ("element_id","template_id","uptodate","content") VALUES ('BODY-RODAP',2,'2001-05-07 15:59:07-03','<? Box_ini(''align="right" bgcolor="white"''); ?>\015\012<font size="-2">\015\012WildWeb v. 20010503 by <a href="mailto:bruder@conectiva.com.br">WildWeb core</a>\015\012Visit us at <a href="http://bazar.conectiva.com.br/~bruder/wildweb/">http://bazar.conectiva.com.br/~bruder/wildweb/</a>. <a href="/source.php?url=<? \015\012global $PHP_SELF;\015\012echo $PHP_SELF; ?>">View source code</a>.\015\012</font>\015\012<? Box_end(); ?>');
INSERT INTO "sty_element" ("element_id","template_id","uptodate","content") VALUES ('BODY-FORMAT',2,'2001-05-07 15:59:07-03','bgcolor="white" text="#111111" link="#0099dd" vlink="#883377"');
--
-- Data for TOC Entry ID 28 (OID 31967)
--
-- Name: pga_queries Type: TABLE DATA Owner: fred
--


--
-- Data for TOC Entry ID 29 (OID 31998)
--
-- Name: pga_forms Type: TABLE DATA Owner: fred
--


--
-- Data for TOC Entry ID 30 (OID 32024)
--
-- Name: pga_scripts Type: TABLE DATA Owner: fred
--


--
-- Data for TOC Entry ID 31 (OID 32050)
--
-- Name: pga_reports Type: TABLE DATA Owner: fred
--


--
-- Data for TOC Entry ID 32 (OID 32079)
--
-- Name: pga_schema Type: TABLE DATA Owner: fred
--


--
-- Data for TOC Entry ID 33 (OID 32106)
--
-- Name: pga_layout Type: TABLE DATA Owner: fred
--


INSERT INTO "pga_layout" ("tablename","nrcols","colnames","colwidth") VALUES ('sty_element',4,'element_id template_id uptodate content','150 150 150 150');
INSERT INTO "pga_layout" ("tablename","nrcols","colnames","colwidth") VALUES ('teste',3,'id nome obs','150 150 150');
INSERT INTO "pga_layout" ("tablename","nrcols","colnames","colwidth") VALUES ('cad_grupo',3,'id nome descricao','150 150 150');
INSERT INTO "pga_layout" ("tablename","nrcols","colnames","colwidth") VALUES ('',1,'current_user','150');
INSERT INTO "pga_layout" ("tablename","nrcols","colnames","colwidth") VALUES ('pwd_permissions',5,'id user group right url','150 150 150 150 268');
INSERT INTO "pga_layout" ("tablename","nrcols","colnames","colwidth") VALUES ('nolayoutneeded',2,'id group','150 150');
--
-- Data for TOC Entry ID 34 (OID 32299)
--
-- Name: cad_usuario Type: TABLE DATA Owner: fred
--


--
-- Data for TOC Entry ID 35 (OID 32349)
--
-- Name: cad_grupo Type: TABLE DATA Owner: fred
--


--
-- Data for TOC Entry ID 36 (OID 40349)
--
-- Name: pwd_permissions Type: TABLE DATA Owner: fred
--


INSERT INTO "pwd_permissions" ("id","user","group","right","url") VALUES (2,'fred','',1,'/tablemanager/teste.php');
INSERT INTO "pwd_permissions" ("id","user","group","right","url") VALUES (6,'fred','',1,'/teste');
INSERT INTO "pwd_permissions" ("id","user","group","right","url") VALUES (1,'','geral',1,'/');
INSERT INTO "pwd_permissions" ("id","user","group","right","url") VALUES (41,NULL,'teste',1,'/');
INSERT INTO "pwd_permissions" ("id","user","group","right","url") VALUES (51,NULL,'geral',1,'/home/teste');
INSERT INTO "pwd_permissions" ("id","user","group","right","url") VALUES (61,'fred','geral',1,NULL);
INSERT INTO "pwd_permissions" ("id","user","group","right","url") VALUES (62,'fred','teste',1,NULL);
INSERT INTO "pwd_permissions" ("id","user","group","right","url") VALUES (63,'fred',NULL,1,'/aaa');
INSERT INTO "pwd_permissions" ("id","user","group","right","url") VALUES (64,'admin',NULL,9,'/');
INSERT INTO "pwd_permissions" ("id","user","group","right","url") VALUES (65,NULL,'administradores',0,'/');
--
-- TOC Entry ID 22 (OID 32299)
--
-- Name: "cad_usuario_id_key" Type: INDEX Owner: fred
--

CREATE UNIQUE INDEX "cad_usuario_id_key" on "cad_usuario" using btree ( "id" "int4_ops" );

--
-- TOC Entry ID 23 (OID 32349)
--
-- Name: "cad_grupo_id_key" Type: INDEX Owner: fred
--

CREATE UNIQUE INDEX "cad_grupo_id_key" on "cad_grupo" using btree ( "id" "int4_ops" );

--
-- TOC Entry ID 24 (OID 40349)
--
-- Name: "perm_id_key" Type: INDEX Owner: fred
--

CREATE UNIQUE INDEX "perm_id_key" on "pwd_permissions" using btree ( "id" "int4_ops" );

--
-- TOC Entry ID 3 (OID 23852)
--
-- Name: sty_template_template_id_seq Type: SEQUENCE SET Owner: 
--

SELECT setval ('"sty_template_template_id_seq"', 9, 't');

--
-- TOC Entry ID 5 (OID 32280)
--
-- Name: cad_usuario_id_seq Type: SEQUENCE SET Owner: 
--

SELECT setval ('"cad_usuario_id_seq"', 1, 'f');

--
-- TOC Entry ID 7 (OID 32330)
--
-- Name: cad_grupo_id_seq Type: SEQUENCE SET Owner: 
--

SELECT setval ('"cad_grupo_id_seq"', 1, 'f');

--
-- TOC Entry ID 9 (OID 40330)
--
-- Name: perm_id_seq Type: SEQUENCE SET Owner: 
--

SELECT setval ('"perm_id_seq"', 65, 't');

